<?php

$pdf->AddPage();
$pdf->SetFont('helvetica', '', 9);

$arrayFirme = array($rapporto->firma1, $rapporto->firma2);
$arrayNF = array();

foreach ($arrayFirme as $firma) {
    $base64 = explode(',', $firma);
    $base64d = base64_decode($base64[1]);
    $im = imagecreatefromstring($base64d);
    imagealphablending($im, false);
    imagesavealpha($im, true);
    $ud = uniqid();
    if ($im !== false) {
        imagepng($im, "$ud.png");
        imagedestroy($im);

        $arrayNF[] = "$ud.png";
    }
}

$pageNum = 0;
$howManyPG = 1;


$htmlDisCOL1 = "";
$htmlDisCOL2 = "";
$htmlMatCOL1 = "";
$htmlMatCOL2 = "";

if ($rapporto->distributori) {
    $countCOL1 = 0;
    $countCOL2 = 0;
    foreach ($rapporto->distributori as $dis) {
        $htmlDisCOL1 .= '
            <tr>
                <td style="border-top: 1px solid #000; border-right: 1px solid #000; text-align: left; font-size: 8px; height: 22px;">' . $model->getProdottoErogato($dis->idMatricola) . '</td>
                <td style="border-top: 1px solid #000; border-right: 1px solid #000; font-size: 8px;">' . $model->getMarca($dis->idMatricola) . '</td>
                <td style="border-top: 1px solid #000; border-right: 1px solid #000; text-align: center; font-size: 8px;">E</td>
                <td style="border-top: 1px solid #000; border-right: 1px solid #000; text-align: left; font-size: 8px;">' . $model->getMatricola($dis->idMatricola) . '</td>
                <td style="border-top: 1px solid #000; border-right: 1px solid #000; text-align: left; font-size: 8px;">' . $dis->letturePrima . '</td>
                <td style="border-top: 1px solid #000; border-right: 1px solid #000; text-align: left; font-size: 8px;">' . $dis->lettureDopo . '</td>
                <td style="border-top: 1px solid #000; border-right: 1px solid #000; text-align: left; font-size: 8px;">' . ($dis->lettureDopo - $dis->letturePrima) . '</td>
                <td style="border-top: 1px solid #000; border-right: 1px solid #000; font-size: 8px;">' . ($dis->piombi ? "SI" : "NO") . '</td>
                <td style="border-top: 1px solid #000; font-size: 8px;">' . ($dis->taratura ? "SI" : "NO") . '</td>
            </tr>';
        $countCOL1++;
        if ($countCOL1 == 12) {
            break;
        }
    }

    if ($countCOL1 >= 12) {
        foreach ($rapporto->distributori as $dis) {
            $htmlDisCOL2 .= '
            <tr>
                <td style="border-top: 1px solid #000; border-right: 1px solid #000; text-align: left; font-size: 8px; height: 22px;">' . $model->getProdottoErogato($dis->idMatricola) . '</td>
                <td style="border-top: 1px solid #000; border-right: 1px solid #000; font-size: 8px;">' . $model->getMarca($dis->idMatricola) . '</td>
                <td style="border-top: 1px solid #000; border-right: 1px solid #000; font-size: 8px; text-align: center;">E</td>
                <td style="border-top: 1px solid #000; border-right: 1px solid #000; font-size: 8px;">' . $model->getMatricola($dis->idMatricola) . '</td>
                <td style="border-top: 1px solid #000; border-right: 1px solid #000; font-size: 8px;">' . $dis->letturePrima . '</td>
                <td style="border-top: 1px solid #000; border-right: 1px solid #000; font-size: 8px;">' . $dis->lettureDopo . '</td>
                <td style="border-top: 1px solid #000; border-right: 1px solid #000; font-size: 8px;">' . ($dis->lettureDopo - $dis->letturePrima) . '</td>
                <td style="border-top: 1px solid #000; border-right: 1px solid #000; font-size: 8px;">' . ($dis->piombi ? "SI" : "NO") . '</td>
                <td style="border-top: 1px solid #000; font-size: 8px;">' . ($dis->taratura ? "SI" : "NO") . '</td>
            </tr>';
            $countCOL2++;
            if ($countCOL2 == 12) {
                break;
            }
        }
    }
}
if ($countCOL1 < 12) {
    for ($i = 0; $i < (12 - $countCOL1); $i++) {
        $htmlDisCOL1 .= '
            <tr>
                <td style="border-top: 1px solid #000; border-right: 1px solid #000; height: 22px;"></td>
                <td style="border-top: 1px solid #000; border-right: 1px solid #000;"></td>
                <td style="border-top: 1px solid #000; border-right: 1px solid #000;"></td>
                <td style="border-top: 1px solid #000; border-right: 1px solid #000;"></td>
                <td style="border-top: 1px solid #000; border-right: 1px solid #000;"></td>
                <td style="border-top: 1px solid #000; border-right: 1px solid #000;"></td>
                <td style="border-top: 1px solid #000; border-right: 1px solid #000;"></td>
                <td style="border-top: 1px solid #000; border-right: 1px solid #000;"></td>
                <td style="border-top: 1px solid #000;"></td>
            </tr>';
    }
}
if ($countCOL2 < 12) {
    for ($i = 0; $i < (12 - $countCOL2); $i++) {
        $htmlDisCOL2 .= '
            <tr>
                <td style="border-top: 1px solid #000; border-right: 1px solid #000; height: 22px;"></td>
                <td style="border-top: 1px solid #000; border-right: 1px solid #000;"></td>
                <td style="border-top: 1px solid #000; border-right: 1px solid #000;"></td>
                <td style="border-top: 1px solid #000; border-right: 1px solid #000;"></td>
                <td style="border-top: 1px solid #000; border-right: 1px solid #000;"></td>
                <td style="border-top: 1px solid #000; border-right: 1px solid #000;"></td>
                <td style="border-top: 1px solid #000; border-right: 1px solid #000;"></td>
                <td style="border-top: 1px solid #000; border-right: 1px solid #000;"></td>
                <td style="border-top: 1px solid #000;"></td>
            </tr>';
    }
}

if ($rapporto->materiale) {
    $countCOL1 = 0;
    $countCOL2 = 0;
    foreach ($rapporto->materiale as $dis) {
        $htmlMatCOL1 .= '
            <tr>
                <td style="border-top: 1px solid #000; border-right: 1px solid #000; text-align: left; font-size: 8px;">' . $dis->quantita1 . '</td>
                <td style="border-top: 1px solid #000; border-right: 1px solid #000;">' . $dis->fornitura1 . '</td>
                <td style="border-top: 1px solid #000; border-right: 1px solid #000;">' . $dis->quantita2 . '</td>
                <td style="border-top: 1px solid #000; border-right: 1px solid #000;">' . $dis->fornitura2 . '</td>
                <td style="border-top: 1px solid #000;">' . $dis->ac . '</td>
            </tr>';
        $countCOL1++;
        if ($countCOL1 == 4) {
            break;
        }
    }

    if ($countCOL1 >= 4) {
        foreach ($rapporto->distributori as $dis) {
            $htmlMatCOL2 .= '
            <tr>
                <td style="border-top: 1px solid #000; border-right: 1px solid #000; text-align: left; font-size: 8px;">' . $dis->quantita1 . '</td>
                <td style="border-top: 1px solid #000; border-right: 1px solid #000;">' . $dis->fornitura1 . '</td>
                <td style="border-top: 1px solid #000; border-right: 1px solid #000;">' . $dis->quantita2 . '</td>
                <td style="border-top: 1px solid #000; border-right: 1px solid #000;">' . $dis->fornitura2 . '</td>
                <td style="border-top: 1px solid #000;">' . $dis->ac . '</td>
            </tr>';
            $countCOL2++;
            if ($countCOL2 == 4) {
                break;
            }
        }
    }
}
if ($countCOL1 < 4) {
    for ($i = 0; $i < (4 - $countCOL1); $i++) {
        $htmlMatCOL1 .= '
            <tr>
                <td style="border-top: 1px solid #000; border-right: 1px solid #000;"></td>
                <td style="border-top: 1px solid #000; border-right: 1px solid #000;"></td>
                <td style="border-top: 1px solid #000; border-right: 1px solid #000;"></td>
                <td style="border-top: 1px solid #000; border-right: 1px solid #000;"></td>
                <td style="border-top: 1px solid #000;"></td>
            </tr>';
    }
}
if ($countCOL2 < 4) {
    for ($i = 0; $i < (4 - $countCOL2); $i++) {
        $htmlMatCOL2 .= '
            <tr>
                <td style="border-top: 1px solid #000; border-right: 1px solid #000;"></td>
                <td style="border-top: 1px solid #000; border-right: 1px solid #000;"></td>
                <td style="border-top: 1px solid #000; border-right: 1px solid #000;"></td>
                <td style="border-top: 1px solid #000; border-right: 1px solid #000;"></td>
                <td style="border-top: 1px solid #000;"></td>
            </tr>';
    }
}

$html = self::minifyhtml('
        ' . $mainStyle . '
        <table style="width: 100%;" cellpadding="7">
            <tr>
                <td style="width: 40%; border-right: 1px solid #333; border-bottom: 1px solid #333"><h1>Consorzio Argelato</h1></td>
                <td style="width: 60%; border-left: 1px solid #333; border-bottom: 1px solid #333" >
                    <table><tr><td style="width: 50%; text-align: left;"><h1>Rapporto N. ' . str_pad($duvri->idIntervento, 5, "0", STR_PAD_LEFT) . '</h1></td><td style="width: 50%; text-align: right; font-size: 15px;">' . date("d/m/Y", strtotime($duvri->inizioLavori)) . '</td></tr></table>
                    <p>
                        <b>Località:</b> ' . $gestore->indirizzo . ', ' . $gestore->cap . ' ' . $gestore->comune . ' (' . $gestore->provincia . ')<br>
                        <b>Cliente:</b> ' . $gestore->cliente . ' <b>Codice P.V.:</b> ' . $gestore->nrPuntoVendita . ' <b>N.:</b> ' . $gestore->nrRea . '<br>
                        <b>Gestore:</b> ' . $gestore->NCompagnia . '<br>
                        <b>PROTOCOLLO</b> ' . $info->nrChiamata . ($info->nrChiamataCompagnia ? " - " . $info->nrChiamataCompagnia : "") . '
                    </p>
                </td>
            </tr>
            <tr>
                <td style="width: 40%; border-right: 1px solid #333">
                    <table cellpadding="0">
                        <tr>
                            <td style="width: 28%"><b>Tipo di</b></td>
                            <td style="width: 30%">Ordinaria</td>
                            <td style="width: 5%; border: 1px solid #000; text-align: center">' . ($info->idTipoIntervento == 1 ? "X" : "&nbsp;") . '</td>
                            <td style="width: 2%">&nbsp;</td>
                            <td style="width: 30%">Straordinaria</td>
                            <td style="width: 5%; border: 1px solid #000; text-align: center">' . ($info->idTipoIntervento == 2 ? "X" : "&nbsp;") . '</td>
                        </tr>
                        <tr>
                            <td style="width: 28%"><b>intervento:</b></td>
                            <td style="width: 30%">Periodica</td>
                            <td style="width: 5%; border: 1px solid #000; text-align: center;">' . ($info->idTipoIntervento == 3 ? "X" : "&nbsp;") . '</td>
                            <td style="width: 2%">&nbsp;</td>
                            <td style="width: 30%">Richiesta</td>
                            <td style="width: 5%; border: 1px solid #000; text-align: center;">' . ($info->idTipoIntervento == 4 ? "X" : "&nbsp;") . '</td>
                        </tr>
                    </table>
                </td>
                <td style="width: 60%; border-left: 1px solid #333" >
                    <table cellpadding="0">
                        <tr>
                            <td style="width: 15%; text-align: center"><small style="display: block; font-weight: bold">Data chiamata</small><div>' . date("d/m/Y", strtotime($duvri->inizioLavori)) . '</div></td>
                            <td style="width: 15%; text-align: center"><small style="display: block; font-weight: bold">Ora chiamata</small><div>' . date("H:i:s", strtotime($duvri->inizioLavori)) . '</div></td>
                            <td style="width: 5%; text-align: center"></td>
                            <td style="width: 65%; vertical-align: middle;"><b>Motivo:</b></td>
                        </tr>
                    </table>
                </td>
            </tr>
        </table>
        <table style="" cellpadding=""><tr><td style="font-size: 5px">&nbsp;</td></tr></table>
        <table style="" cellpadding="2"><tr><td style="background-color: #DDDDDD; font-size: 12px; text-align: center;"><b>Interventi su distributori</b></td></tr></table>
        <table style="" cellpadding=""><tr><td style="font-size: 2px">&nbsp;</td></tr></table>
        <table style="border: 2px solid #000" cellpadding="2">
            <tr>
                <td style="width: 50%; border-right: 1px solid #000; text-align: center; font-size: 9px;">
                    <table cellpadding="1">
                        <tr style="border-bottom: 1px solid #333333">
                            <td rowspan="2" style="border-right: 1px solid #333333">PROD.</td>
                            <td rowspan="2" style="border-right: 1px solid #333333">MARCA</td>
                            <td rowspan="2" style="border-right: 1px solid #333333">TIPO</td>
                            <td rowspan="2" style="border-right: 1px solid #333333">MATR.</td>
                            <td colspan="3" style="border-right: 1px solid #333333; border-bottom: 1px solid #000">1 TOTALIZZATORI</td>
                            <td colspan="2" style="border-bottom: 1px solid #333333">Notifiche</td>
                        </tr>
                        <tr>
                            <td style="border-right: 1px solid #333333; font-size: 8px">1° Posiz.</td>
                            <td style="border-right: 1px solid #333333; font-size: 8px">2° Posiz.</td>
                            <td style="border-right: 1px solid #333333; font-size: 8px">Scatti</td>
                            <td style="border-right: 1px solid #333333; font-size: 8px">U.T.F.</td>
                            <td>U.M.</td>
                        </tr>
                        ' . $htmlDisCOL1 . '
                    </table>
                </td>
                <td style="width: 50%; border-left: 2px solid #000; text-align: center; font-size: 9px;">
                    <table cellpadding="1">
                        <tr style="border-bottom: 1px solid #333333">
                            <td rowspan="2" style="border-right: 1px solid #333333">PROD.</td>
                            <td rowspan="2" style="border-right: 1px solid #333333">MARCA</td>
                            <td rowspan="2" style="border-right: 1px solid #333333">TIPO</td>
                            <td rowspan="2" style="border-right: 1px solid #333333">MATR.</td>
                            <td colspan="3" style="border-right: 1px solid #333333; border-bottom: 1px solid #000">1 TOTALIZZATORI</td>
                            <td colspan="2" style="border-bottom: 1px solid #333333">Notifiche</td>
                        </tr>
                        <tr>
                            <td style="border-right: 1px solid #333333; font-size: 8px">1° Posiz.</td>
                            <td style="border-right: 1px solid #333333; font-size: 8px">2° Posiz.</td>
                            <td style="border-right: 1px solid #333333; font-size: 8px">Scatti</td>
                            <td style="border-right: 1px solid #333333; font-size: 8px">U.T.F.</td>
                            <td>U.M.</td>
                        </tr>
                        ' . $htmlDisCOL2 . '
                    </table>
                </td>
            </tr>
        </table>
        <table style="" cellpadding=""><tr><td style="font-size: 5px">&nbsp;</td></tr></table>
        <table style="" cellpadding="2"><tr>
            <td style="background-color: #DDDDDD; font-size: 12px; text-align: center; width: 70%; border-right: 1px solid #FFFFFF;"><b>Descrizione intervento</b></td>
            <td style="background-color: #DDDDDD; font-size: 12px; text-align: center; width: 30%; border-left: 1px solid #FFFFFF;"><b>Esito collaudo</b></td>
        </tr></table>
        <table style="" cellpadding=""><tr><td style="font-size: 2px">&nbsp;</td></tr></table>
        <table cellpadding="1">
            <tr>
                <td style="width: 70%; border: 1px solid #000; font-size: 10px;"><table cellpadding="4"><tr><td>' . $info->descrizione . '</td></tr></table></td>
                <td style="width: 30%">
                    <table style="" cellpadding=""><tr><td style="font-size: 5px">&nbsp;</td></tr></table>
                    <table>
                        <tr><td style="width: 20%; text-align: right;"></td><td style="width: 30%; text-align: left;">Positivo</td><td style="width: 5%"></td><td style="width: 5%; border: 1px solid #000; text-align: center;">' . ($info->esitoCollaudo == 1 ? "X" : "&nbsp;") . '</td><td style="width: 40%; text-align: left;"></td></tr>
                        <tr><td style="width: 20%; text-align: right;"></td><td style="width: 30%; text-align: left;">Negativo</td><td style="width: 5%"></td><td style="width: 5%; border: 1px solid #000; text-align: center;">' . ($info->esitoCollaudo === '0' ? "X" : "&nbsp;") . '</td><td style="width: 40%; text-align: left;"></td></tr>
                    </table>
                    <table style="" cellpadding=""><tr><td style="font-size: 5px">&nbsp;</td></tr></table>
                    <table style="" cellpadding="2"><tr><td style="background-color: #DDDDDD; font-size: 12px; text-align: center;"><b>Osservazioni</b></td></tr></table>
                    <table cellpadding="3" style="font-size: 10px"><tr><td>' . $info->osservazioni . '</td></tr></table>
                </td>
            </tr>
        </table>
        <table style="" cellpadding=""><tr><td style="font-size: 5px">&nbsp;</td></tr></table>
        <table style="" cellpadding="2"><tr><td style="background-color: #DDDDDD; font-size: 12px; text-align: center;"><b>Materiale sostituito</b></td></tr></table>
        <table style="" cellpadding=""><tr><td style="font-size: 2px">&nbsp;</td></tr></table>
        <table style="border: 2px solid #000; font-size: 9px;" cellpadding="2">
            <tr>
                <td style="border-right: 1px solid #000">
                    <table cellpadding="2">
                        <tr>
                            <td style="border-right: 1px solid #000; text-align: center; width: 10%">Quant.</td>
                            <td style="border-right: 1px solid #000; text-align: center; width: 35%">DI NOSTRA FORNITURA</td>
                            <td style="border-right: 1px solid #000; text-align: center; width: 10%">Quant.</td>
                            <td style="border-right: 1px solid #000; text-align: center; width: 38%">DI PROPRIET&Agrave; DEL CLIENTE</td>
                            <td style="text-align: center; width: 8%">A.C.</td>
                        </tr>
                        ' . $htmlMatCOL1 . '
                    </table>
                </td>
                <td style="border-left: 2px solid #000">
                    <table cellpadding="2">
                        <tr>
                            <td style="border-right: 1px solid #000; text-align: center; width: 10%">Quant.</td>
                            <td style="border-right: 1px solid #000; text-align: center; width: 35%">DI NOSTRA FORNITURA</td>
                            <td style="border-right: 1px solid #000; text-align: center; width: 10%">Quant.</td>
                            <td style="border-right: 1px solid #000; text-align: center; width: 38%">DI PROPRIET&Agrave; DEL CLIENTE</td>
                            <td style="text-align: center; width: 8%">A.C.</td>
                        </tr>
                        ' . $htmlMatCOL2 . '
                    </table>
                </td>
            </tr>
        </table>
        <table style="" cellpadding=""><tr><td style="font-size: 2px">&nbsp;</td></tr></table>
        <table cellpadding="3">
            <tr>
                <td style="width: 50%">
                    <div>I componenti sostituiti sono conformi a quelli di tipo approvato.</div>
                    <table><tr><td style="width: 30%; text-align: right;">Si</td><td style="width: 5%"></td><td style="width: 5%; border: 1px solid #000; text-align: center;">' . ($info->dichiarazione1 ? "X" : "&nbsp;") . '</td><td style="width: 5%"></td><td style="width: 5%">No</td><td style="width: 3%"></td><td style="width: 5%; border: 1px solid #000; text-align: center;">' . ($info->dichiarazione1 === '0' ? "X" : "&nbsp;") . '</td><td></td></tr></table>
                    <div>Il gestore, in qualità di utente, è tenuto a presentare la richiesta di collaudo o rilegalizzazione alla C.C.I.A.A. (Uff. Metrico)</div>
                    <table><tr><td style="width: 30%; text-align: right;">Si</td><td style="width: 5%"></td><td style="width: 5%; border: 1px solid #000; text-align: center;">' . ($info->dichiarazione2 ? "X" : "&nbsp;") . '</td><td style="width: 5%"></td><td style="width: 5%">No</td><td style="width: 3%"></td><td style="width: 5%; border: 1px solid #000; text-align: center;">' . ($info->dichiarazione2 === '0' ? "X" : "&nbsp;") . '</td><td></td></tr></table>
                    <div>In caso di danno da ignoti il gestore è tenuto ad esporre denuncia alle autorità competenti e deve consegnare copia entro 5 giorni.</div>
                    <table><tr><td style="width: 30%; text-align: right;">Si</td><td style="width: 5%"></td><td style="width: 5%; border: 1px solid #000; text-align: center;">' . ($info->dichiarazione3 ? "X" : "&nbsp;") . '</td><td style="width: 5%"></td><td style="width: 5%">No</td><td style="width: 3%"></td><td style="width: 5%; border: 1px solid #000; text-align: center;">' . ($info->dichiarazione3 === '0' ? "X" : "&nbsp;") . '</td><td></td></tr></table>
                    <div style="font-size: 10px">Si dichiara che il lavoro è stato eseguito secondo richiesta, che le letture dei totalizzatori sono esatte e che gli erogatori sono regolarmente bollati e che tutte le attrezzature del P.V. oggetto della manutenzione sono efficienti e conformi agli schemi della Società costruttrice delle apparecchiature.</div>
                    <table style="" cellpadding="1"><tr><td style="font-size: 2px">&nbsp;</td></tr></table>
                    <table>
                        <tr>
                            <td style="width: 50%">
                                <div style="text-align: center">Firma montatore</div>
                                <img src="' . $arrayNF[0] . '"/>
                            </td>
                            <td style="width: 50%">
                                <div style="text-align: center">Firma gestore</div>
                                <img src="' . $arrayNF[1] . '"/>
                            </td>
                        </tr>
                    </table>
                </td>
                <td style="width: 50%">
                    <table style="" cellpadding="2"><tr><td style="background-color: #DDDDDD; font-size: 12px; text-align: center;"><b>Termini di lavoro e di percorrenza</b></td></tr></table>
                    <table style="" cellpadding="1"><tr><td style="font-size: 2px">&nbsp;</td></tr></table>
                    <table style="border: 1px solid #000;" cellpadding="3">
                        <tr style="">
                            <td colspan="2" style="border-bottom: 1px solid #000">
                                <div>Inizio<br>Lavoro ore ' . date("H:i", strtotime($info->dataApertura)) . ' del ' . date("d/m/Y", strtotime($info->dataApertura)) . '</div>
                            </td>
                            <td colspan="2" style="border-left: 1px solid #000; border-bottom: 1px solid #000">
                                <div>Termine<br>Lavoro ore ' . date("H:i", strtotime($info->dataScadenza)) . ' del ' . date("d/m/Y", strtotime($info->dataScadenza)) . '</div>
                            </td>
                        </tr>
                        <tr style="">
                            <td style="width:35%;border-bottom: 1px solid #000">
                                <div>Partenza da:</div>
                                ' . $info->partenzaDa . '
                            </td>
                            <td style="border-left: 1px solid #000; border-bottom: 1px solid #000; width: 15%; text-align: center">
                                <div>Ore</div>
                                ' . $info->partenzaOre . '
                            </td>
                            <td style="width:35%;border-bottom: 1px solid #000; border-left: 1px solid #000">
                                <div>Partenza da:</div>
                                ' . $info->arrivo . '
                            </td>
                            <td style="border-left: 1px solid #000; border-bottom: 1px solid #000; width: 15%; text-align: center">
                                <div>Ore</div>
                                ' . $info->arrivoOre . '
                            </td>
                        </tr>
                        <tr style="">
                            <td style="width:35%;border-bottom: 1px solid #000">
                                <div>Ore lavoro:</div>
                                ' . $info->oreLavoro . '
                            </td>
                            <td style="border-left: 1px solid #000; border-bottom: 1px solid #000; width: 65%; text-align: left" colspan="3">
                                <table style="width: 100%">
                                    <tr><td rowspan="2" style="width: 50%">Ore di percorrenza</td><td style="width: 50%">Andata: ' . $info->percorrenzaAndata . '</td></tr>
                                    <tr><td>Ritorno: ' . $info->percorrenzaAndata . '</td></tr>
                                </table>
                            </td>
                        </tr>
                        <tr style="">
                            <td style="border-bottom: 1px solid #000; width: 100%; text-align: left" colspan="4">Km. percorsi andata ' . $info->kmAndata . '; Ritorno ' . $info->kmRitorno . '</td>
                        </tr>
                        <tr style="">
                            <td style="border-bottom: 1px solid #000; width: 100%; text-align: left" colspan="4">
                                <b>Presenza registri</b><br>
                                <table>
                                    <tr><td style="width: 78%">Registro Antincendio</td><td style="width: 5%; text-align: right">Si</td><td style="width: 1%; text-align: right">&nbsp;</td><td style="width: 5%; text-align: center; border: 1px solid #000">' . ($info->registro1 ? "X" : "&nbsp;") . '</td><td style="width: 5%; text-align: right">No</td><td style="width: 1%; text-align: right">&nbsp;</td><td style="width: 5%; text-align: center; border: 1px solid #000">' . ($info->registro1 === '0' ? "X" : "&nbsp;") . '</td></tr>
                                    <tr><td style="width: 78%">Registro Manutenzione</td><td style="width: 5%; text-align: right">Si</td><td style="width: 1%; text-align: right">&nbsp;</td><td style="width: 5%; text-align: center; border: 1px solid #000">' . ($info->registro2 ? "X" : "&nbsp;") . '</td><td style="width: 5%; text-align: right">No</td><td style="width: 1%; text-align: right">&nbsp;</td><td style="width: 5%; text-align: center; border: 1px solid #000">' . ($info->registro2 === '0' ? "X" : "&nbsp;") . '</td></tr>
                                    <tr><td style="width: 78%">Registro Serbatoi</td><td style="width: 5%; text-align: right">Si</td><td style="width: 1%; text-align: right">&nbsp;</td><td style="width: 5%; text-align: center; border: 1px solid #000">' . ($info->registro3 ? "X" : "&nbsp;") . '</td><td style="width: 5%; text-align: right">No</td><td style="width: 1%; text-align: right">&nbsp;</td><td style="width: 5%; text-align: center; border: 1px solid #000">' . ($info->registro3 === '0' ? "X" : "&nbsp;") . '</td></tr>
                                    <tr><td style="width: 78%">Registro Scarichi</td><td style="width: 5%; text-align: right">Si</td><td style="width: 1%; text-align: right">&nbsp;</td><td style="width: 5%; text-align: center; border: 1px solid #000">' . ($info->registro4 ? "X" : "&nbsp;") . '</td><td style="width: 5%; text-align: right">No</td><td style="width: 1%; text-align: right">&nbsp;</td><td style="width: 5%; text-align: center; border: 1px solid #000">' . ($info->registro4 === '0' ? "X" : "&nbsp;") . '</td></tr>
                                </table>
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
        </table>
        
    ');


$pdf->writeHTMLCell(0, 0, 5, 5, $html, 0, 2, false, true, "", true);
