<?php defined('_JEXEC') or die('Restricted access'); ?>

<div class="t3a-toolbar row">
    <div class="clearfix hidden-xs flex" style="align-items: center;">
        <?php echo $this->loadTemplate('form'); ?>
    </div>
    <div class="visible-xs col-xs-12 text-center"style="padding-top: 15px; padding-bottom: 15px">
        <a href="#filter-collapse" data-toggle="collapse" role="button" aria-expanded="false" aria-controls="filter-collapse"><i class="glyphicon glyphicon-filter"></i> Azioni e filtri</a>        
    </div>
    <div class="col-xs-12 collapse" id="filter-collapse">
        <?php echo $this->loadTemplate('form'); ?>
    </div>
</div>

<?php if ($this->items) { ?>
    <div class="">
        <?php foreach ($this->items as $item) { ?>
            <div class="col-sm-12">
                <form name='generaRichiestaVerifica' action='<?php echo osmaHelper::router("index.php?option=com_osma&view=amministrazione&layout=genera-preventivo") ?>' method="POST" >
                    <div class="panel panel-default main-panel ">
                        <div class="panel-heading row">
                            <div class="col-sm-9 text-left">
                                <h3 class="panel-title"><?php echo "{$item['gestore']['ragioneSociale']} - {$item['gestore']['indirizzo']}, {$item['gestore']['comune']} ({$item['gestore']['provincia']})" ?> (<?php echo count($item['pistole']) ?> pistole)</h3>
                                <small><?php echo $item['cliente']['ragioneSociale'] ?></small>
                            </div>
                            <div class="col-sm-3 text-right">
                                <h3 class=""><?php echo "#Rea: {$item['gestore']['nrRea']}"; ?></h3>
                            </div>
                        </div>
                        <div class="panel-body">
                            <div class="table-responsive">
                                <table class="table table-bordered table-striped">
                                    <thead>
                                        <tr>
                                            <th class='center' width='5%'><i class='fa fa-check select-all'></i></th>
                                            <th width="12%">Marca</th>
                                            <th width="12%">Modello</th>
                                            <th width="12%">Prodotto erogato</th>
                                            <th width="10%">Matricola</th>
                                            <th class='center' width="12%">Scadenza revisione</th>
                                            <th width="10%"></th>
                                            <th></th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <?php foreach ($item['pistole'] as $pistola) { ?>
                                            <tr>
                                                <td class='center'><input type='checkbox' name='idPistole[]' value='<?php echo $pistola->idPistola ?>'></td>
                                                <td><?php echo ucwords(strtolower($pistola->marca)) ?></td>
                                                <td><?php echo $pistola->modello ?></td>
                                                <td><?php echo ucfirst(strtolower($pistola->prodottoErogato)) ?></td>
                                                <td><?php echo $pistola->matricolaPistola ?></td>
                                                <td class='center'><?php echo date("d/m/Y", strtotime($pistola->scadenzaPeriodica)) ?></td>
                                                <td class='center'>
                                                    <a href="javascripit:void(0);" class="btn btn-sm btn-info ignora-scadenza">Ignora scadenza</a>
                                                </td>
                                                <td></td>
                                            </tr>
                                        <?php } ?>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                        <div class="panel-footer">
                            <div class="clearfix">
                                <input type="submit" value="Genera preventivo" class="btn btn-success pull-right"/>
                            </div>
                        </div>
                    </div>
                    <input type='hidden' name='idGestore' value='<?php echo $item['gestore']['idGestore'] ?>'>
                </form>
            </div>
        <?php } ?>
    </div>
<?php } ?>
<script>
    jQuery(function ($) {

        $(document).on("click", ".reset-form", function (e) {
            e.stopPropagation();
            e.stopImmediatePropagation();

            $(this).parents("form").find("input, select").val("");
        });
        $(document).on("click", ".ignora-scadenza", function () {
            $this = $(this);
            $this.addClass("disabled");
            $.ajax({
                url: "index.php?option=com_osma&task=amministrazione.ignoraScadenza&format=raw",
                method: 'POST',
                data: {
                    idPistola: $this.parents("tr").find("[name='idPistole[]']").val()
                }
            }).done(function (response) {
                response = JSON.parse(response);
                if (response.success) {
                    $this.parents("tr").slideUp(200, function () {
                        $(this).remove();
                    });
                }
            });
        });
    });
</script>