<?php

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

class OsmaViewGestori extends JViewLegacy {

    function display($tpl = null) {
        // Assign data to the view
        $this->title = "Anagrafica Gestori";
        $this->gestori = $this->get('Items');
        $this->prodotti = $this->get('Prodotti');
        $this->total = $this->get('Total');
        $this->pagination = $this->get('Pagination');
        $this->sidebar = JHtmlSidebar::render();
        $this->state = $this->get('State');
        $this->searchterms = $this->get('State')->get('filter.search');

        // Check for errors.
        if (count($errors = $this->get('Errors'))) {
            JError::raiseError(500, implode('<br />', $errors));
            return false;
        }

        JFactory::getDocument()->addScript(JURI::base() . 'components/com_osma/assets/js/view-gestori.js?ver=' . COM_OSMA_VER, 'text/javascript');

        // Display the view
        parent::display($tpl);
    }

}
