CREATE TABLE IF NOT EXISTS `#__osma_preventivatore_capitolato` (
    `idCapitolo` INT(11) NOT NULL AUTO_INCREMENT PRIMARY KEY,
    `codiceCapitolo` VARCHAR(11) NOT NULL,
    `idCapitoloGenitore` INT(11) NOT NULL DEFAULT  '0',
    `nome` VARCHAR(255) NOT NULL,
    `descrizione` TEXT NULL,
    `prezziario` INT NULL DEFAULT  '1',
    `um` VARCHAR(10) NOT NULL,
    `prezzoUnitario` DECIMAL(10,2) NOT NULL,
    `inserted` TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP,
    `modified` TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
);

CREATE TABLE IF NOT EXISTS `#__osma_preventivatore_preventivi` (
    `idPreventivo` INT(11) NOT NULL AUTO_INCREMENT PRIMARY KEY,
    `idChiamata` INT NOT NULL,
    `note` TEXT NOT NULL,
    `inserted` TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP,
    `modified` TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
);

CREATE TABLE IF NOT EXISTS `#__osma_preventivatore_preventivi_voci` (
    `idVoce` INT(11) NOT NULL AUTO_INCREMENT PRIMARY KEY,
    `idPreventivo` INT(11) NOT NULL,
    `idCapitolo` INT(11) NOT NULL,
    `nome` VARCHAR( 255 ) NOT NULL,
    `prezzoUnitario` DECIMAL(10,2) NOT NULL,
    `quantita` INT NOT NULL,
    `um` VARCHAR( 25 ) NOT NULL,
    `sconto` INT NOT NULL,
    `note` TEXT NULL,
    `inserted` TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP,
    `modified` TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
);