<form id="add" class="addgestore">
    <div class="row">
        <div class="form-group col-md-12">
            <select name="idAzienda" data-placeholder="Azienda di appartenenza" class="chosen-select client-select" tabindex="17" style="width:100%;">
                <option value="0" disabled>Azienda di appartenenza</option>
                <?php foreach (osmaHelper::getAziende() as $id => $azienda) { ?>
                    <option <?php osmaHelper::selected($id, $data->idAzienda) ?> value="<?php echo $id; ?>"><?php echo $azienda; ?></option>
                <?php } ?>
            </select>
        </div>
        <div class="form-group col-md-12">
            <select name="idCliente[]" data-placeholder="Associa al cliente" class="chosen-select client-select" multiple tabindex="17" style="width:100%;">
                <option value="0">Associa al cliente</option>
                <?php $clienticollegati = explode(",",$data->idCliente); foreach ($clienti as $cliente) { ?>
                    <option <?php echo (in_array($cliente->idCliente,$clienticollegati) ? "selected='selected'" : "") ?> value="<?php echo $cliente->idCliente; ?>"><?php echo $cliente->ragioneSociale; ?></option>
                <?php } ?>
            </select>
        </div>
        <div class="form-group col-md-12">
            <select name="idCompagnia" data-placeholder="Associa alla compagnia" class="chosen-select compagnia-select" tabindex="17" style="width:100%;">
                <option value="0">Associa alla compagnia</option>
                <?php foreach ($compagnie as $compagnia) { ?>
                    <option <?php echo ($compagnia->idCompagnia == $data->idCompagnia ? "selected='selected'" : "") ?> value="<?php echo $compagnia->idCompagnia; ?>"><?php echo $compagnia->compagnia; ?></option>
                <?php } ?>
            </select>
        </div>
        <div class="form-group col-md-12">
            <input type="text" class="obb ragionesociale form-control" name="ragioneSociale" placeholder="Ragione Sociale" value="<?php echo  JViewHtml::escape($data->ragioneSociale); ?>"/>
            <span class="hidden help-block">Inserisci un valore</span>
        </div>
        <div class="form-group col-md-6">
            <input type="text" class="obb indirizzo form-control" name="indirizzo" placeholder="Indirizzo" value="<?php echo $data->indirizzo; ?>"/>
            <span class="hidden help-block">Inserisci un valore</span>
        </div>
        <div class="form-group col-md-6">
            <input type="text" class="obb comune form-control" name="comune" placeholder="Comune" value="<?php echo $data->comune; ?>"/>
            <span class="hidden help-block">Inserisci un valore</span>
        </div>
        <div class="form-group col-md-6">
            <input type="text" class="obb provincia form-control" name="provincia" placeholder="Provincia" value="<?php echo $data->provincia; ?>"/>
            <span class="hidden help-block">Inserisci un valore</span>
        </div>
        <div class="form-group col-md-6">
            <input type="text" class="obb cap form-control" name="cap" placeholder="CAP" value="<?php echo $data->cap; ?>"/>
            <span class="hidden help-block">Inserisci un valore</span>
        </div>
        <div class="form-group col-md-6">
            <input type="text" class="obb piva form-control" name="piva" placeholder="PIVA" value="<?php echo $data->piva; ?>"/>
            <span class="hidden help-block">Inserisci un valore</span>
        </div>
        <div class="form-group col-md-6">
            <input type="text" class="obb cf form-control" name="cf" placeholder="Codice Fiscale" value="<?php echo $data->cf; ?>"/>
            <span class="hidden help-block">Inserisci un valore</span>
        </div>
        <div class="form-group col-md-6">
            <input type="text" class="obb rea form-control" name="nrRea" placeholder="Nr. REA" value="<?php echo $data->nrRea; ?>"/>
            <span class="hidden help-block">Inserisci un valore</span>
        </div>
        <div class="form-group col-md-6">
            <input type="text" class="obb p-vendita form-control" name="nrPuntoVendita" placeholder="Nr. Punto Vendita" value="<?php echo $data->nrPuntoVendita; ?>"/>
            <span class="hidden help-block">Inserisci un valore</span>
        </div>
    </div>

    <div class="panel panel-primary">
        <div class="panel-heading">
            <h3 class="panel-title">Dati di utenza</h3>
        </div>
        <div class="panel-body">
            <div class="row">
                <div class="col-md-4 control-group">
                    <input type="text" class="form-control" name="usernameemail" placeholder="Email" value="<?php echo $data->usernameemail; ?>" <?php echo ($data->username && $data ? "readonly='readonly'" : "") ?>/>
                </div>
                <div class="col-md-4 control-group">
                    <input type="text" class="form-control" name="username" placeholder="Username" value="<?php echo $data->username; ?>" <?php echo ($data->username && $data ? "readonly='readonly'" : "") ?>/>
                </div>
                <div class="col-md-4 control-group">
                    <input type="text" class="form-control" name="password" placeholder="Password" value="<?php echo $data->password; ?>" <?php echo ($data->username && $data ? "readonly='readonly'" : "") ?>/>
                </div>
            </div>
            <input type='hidden' name='idUser' value='<?php echo $data->idUser ?>' />
        </div>
    </div>


    <div class="panel panel-primary">
        <div class="panel-heading">
            <div class="row">
                <div class="col-md-6">
                    <h3 class="panel-title">Dati Contatti</h3>
                </div>
                <div class="col-md-6">
                    <button data-rowcount="<?php echo count($contatti); ?>" class="pull-right btn btn-success btn-sm nuovoContatto"><span class="glyphicon glyphicon-plus-sign"></span></button>
                </div>
            </div>
        </div>
        <div class="panel-body contatti-group">
            <?php
            $i = 0;
            foreach ($contatti as $contatto) {
                ?>
                <div class="panel panel-warning">
                    <div class="panel-body">
                        <div class="row">
                            <div class="form-group col-md-10">
                                <input type="text" class="riferimento form-control" name="contatti[<?php echo $i; ?>][riferimento]" id="riferimento<?php echo $i; ?>" placeholder="Riferimento" value="<?php echo $contatto->riferimento; ?>"/>
                            </div>
                            <div class="form-group col-md-2">
                                <button class="btn btn-danger btn-sm remove-btn pull-right"><span class="glyphicon glyphicon-remove"></span></button>
                            </div>
                            <div class="form-group col-md-6">
                                <input type="text" class="email form-control" name="contatti[<?php echo $i; ?>][email]" id="email<?php echo $i; ?>" placeholder="Email" value="<?php echo $contatto->email; ?>"/>
                            </div>
                            <div class="form-group col-md-6">
                                <input type="text" class="telefono form-control" name="contatti[<?php echo $i; ?>][telefono]" id="telefono<?php echo $i; ?>" placeholder="Telefono" value="<?php echo $contatto->telefono; ?>"/>
                            </div>
                        </div>
                    </div>
                </div>
                <?php
                $i++;
            }
            ?>
            <div class="panel panel-warning">
                <div class="panel-body">
                    <div class="row">
                        <div class="form-group col-md-10">
                            <input type="text" class="riferimento form-control" name="contatti[<?php echo $i; ?>][riferimento]" id="riferimento<?php echo $i; ?>" placeholder="Riferimento" value=""/>
                        </div>
                        <div class="form-group col-md-2">
                            <button class="btn btn-danger btn-sm remove-btn pull-right"><span class="glyphicon glyphicon-remove"></span></button>
                        </div>
                        <div class="form-group col-md-6">
                            <input type="text" class="email form-control" name="contatti[<?php echo $i; ?>][email]" id="email<?php echo $i; ?>" placeholder="Email" value=""/>
                        </div>
                        <div class="form-group col-md-6">
                            <input type="text" class="telefono form-control" name="contatti[<?php echo $i; ?>][telefono]" id="telefono<?php echo $i; ?>" placeholder="Telefono" value=""/>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="panel panel-primary">
        <div class="panel-heading">
            <div class="row">
                <div class="col-md-6">
                    <h3 class="panel-title">Dati Cisterne</h3>
                </div>
                <div class="col-md-6">
                    <button data-rowcount="<?php echo count($cisterne); ?>" class="pull-right btn btn-success btn-sm nuovaCisterna"><span class="glyphicon glyphicon-plus-sign"></span></button>
                </div>
            </div>
        </div>
        <div class="panel-body cisterne-group">
            <?php
            $i = 0;
            foreach ($cisterne as $cisterna) {
                ?>
                <div class="panel panel-warning">
                    <div class="panel-body">
                        <div class="row">
                            <div class="form-group col-md-10">
                                <input type="text" class="nrcisterna form-control" name="cisterne[<?php echo $i; ?>][nrCisterna]" id="nrCisterna<?php echo $i; ?>" placeholder="Numero Cisterna" value="<?php echo $cisterna->nrCisterna; ?>"/>
                            </div>
                            <div class="form-group col-md-2">
                                <button class="btn btn-danger btn-sm remove-btn-cist pull-right"><span class="glyphicon glyphicon-remove"></span></button>
                            </div>
                            <div class="form-group col-md-6">
                                <input type="text" class="capienza form-control" name="cisterne[<?php echo $i; ?>][capienza]" id="capienza<?php echo $i; ?>" placeholder="Capienza" value="<?php echo $cisterna->capienza; ?>"/>
                            </div>
                            <div class="form-group col-md-6">
                                <select name="cisterne[<?php echo $i; ?>][prodotto]" id="prodotto<?php echo $i; ?>" placeholder="Prodotto" style="width: 100%;">
                                    <option value="" disabled>Prodotto Erogato</option>
                                    <?php foreach ($prodotti as $prodotto) { ?>
                                        <option value="<?php echo $prodotto->idProdottoErogato; ?>" <?php
                                        if ($cisterna->idProdottoErogato == $prodotto->idProdottoErogato) {
                                            echo "selected='selected'";
                                        }
                                        ?>><?php echo $prodotto->prodottoErogato; ?></option>
                                            <?php } ?>
                                </select>
                            </div>
                            <div class="form-group col-md-6">
                                <select name="cisterne[<?php echo $i; ?>][presenza]" id="presenza<?php echo $i; ?>" placeholder="Presenza intercapedine" style="width: 100%;">
                                    <option value="" hidden>Presenza intercapedine</option>
                                    <option value="0" <?php
                                    if ($cisterna->presenza == 0) {
                                        echo "selected='selected'";
                                    }
                                    ?>>No</option>
                                    <option value="1" <?php
                                    if ($cisterna->presenza == 1) {
                                        echo "selected='selected'";
                                    }
                                    ?>>Si</option>
                                </select>
                            </div>
                            <div class="form-group col-md-6">
                                <textarea class="note form-control" name="cisterne[<?php echo $i; ?>][note]" id="note<?php echo $i; ?>" placeholder="Note"><?php echo $cisterna->note; ?></textarea>
                            </div>
                        </div>
                    </div>
                </div>
                <?php
                $i++;
            }
            ?>
            <div class="panel panel-warning">
                <div class="panel-body">
                    <div class="row">
                        <div class="form-group col-md-10">
                            <input type="text" class="nrcisterna form-control" name="cisterne[<?php echo $i; ?>][nrCisterna]" id="nrCisterna<?php echo $i; ?>" placeholder="Numero Cisterna" value=""/>
                        </div>
                        <div class="form-group col-md-2">
                            <button class="btn btn-danger btn-sm remove-btn-cist pull-right"><span class="glyphicon glyphicon-remove"></span></button>
                        </div>
                        <div class="form-group col-md-6">
                            <input type="text" class="capienza form-control" name="cisterne[<?php echo $i; ?>][capienza]" id="capienza<?php echo $i; ?>" placeholder="Capienza" value=""/>
                        </div>
                        <div class="form-group col-md-6">
                            <select name="cisterne[<?php echo $i; ?>][prodotto]" id="prodotto<?php echo $i; ?>" placeholder="Prodotto" style="width: 100%;">
                                <option value="" disabled selected hidden>Prodotto Erogato</option>
                                <?php foreach ($prodotti as $prodotto) { ?>
                                    <option value="<?php echo $prodotto->idProdottoErogato; ?>"><?php echo $prodotto->prodottoErogato; ?></option>
                                <?php } ?>
                            </select>
                        </div>
                        <div class="form-group col-md-6">
                            <select name="cisterne[<?php echo $i; ?>][presenza]" id="presenza<?php echo $i; ?>" placeholder="Presenza intercapedine" style="width: 100%;">
                                <option value="" hidden>Presenza intercapedine</option>
                                <option value="0">No</option>
                                <option value="1">Si</option>
                            </select>
                        </div>
                        <div class="form-group col-md-6">
                            <textarea class="note form-control" name="cisterne[<?php echo $i; ?>][note]" id="note<?php echo $i; ?>" placeholder="Note"></textarea>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <input type="hidden" name="id" value="<?php echo JRequest::getVar('id'); ?>" id="id" />
</form>
<script type="text/javascript">
//inizializzazione della select con chosen
    jQuery(document).ready(function ($) {
        jQuery(".chosen-select").chosen({width: "100%"});
    });
</script>
