<?php
// No direct access to this file
defined('_JEXEC') or die('Restricted access');

$user = JFactory::getUser();
$userid = $user->get('id');

$canEdit = !osmaHelper::isAccessLevel(COM_OSMA_AL_UTENZE) || (osmaHelper::isAccessLevel(COM_OSMA_AL_UTENZE) && !$this->chiamata->interventi);
?>
    <div class="t3a-toolbar row">
        <div class="btn-group btn-group-small pull-right hidden-xs">
            <a href="<?php echo JRoute::_('index.php?option=com_osma&view=chiamate'); ?>" class="btn btn-warning">
                <i class="fa fa-chevron-left"></i> <?php echo "Indietro"; ?>
            </a>
            <?php if ($this->chiamata) : ?>
                <button class="btn print" data-id='<?php echo $this->chiamata->idChiamata ?>'><i class="fa fa-print"
                                                                                                 aria-hidden="true"></i> <?php echo "Stampa"; ?>
                </button>
            <?php endif; ?>
            <?php if ($canEdit) { ?>
                <button class="btn btn-danger elimina"><i class="fa fa-trash"
                                                          aria-hidden="true"></i> <?php echo "Elimina"; ?></button>
                <button class="btn btn-primary submitChiamataForm"><i class="fa fa-floppy-o"></i> <?php echo "Salva"; ?>
                </button>
            <?php } ?>
        </div>
        <div class="btn-group btn-group-small pull-right col-xs-12 visible-xs">
            <a href="<?php echo JRoute::_('index.php?option=com_osma&view=chiamate'); ?>"
               class="btn btn-warning col-xs-3">
                <i class="fa fa-chevron-left"></i> <?php echo "Indietro"; ?>
            </a>
            <?php if ($this->chiamata) : ?>
                <button class="btn print col-xs-3" data-id='<?php echo $this->chiamata->idChiamata ?>'><i
                            class="fa fa-print" aria-hidden="true"></i> <?php echo "Stampa"; ?></button>
            <?php endif; ?>
            <?php if ($canEdit) { ?>
                <button class="btn btn-danger elimina col-xs-3"><i class="fa fa-trash"
                                                                   aria-hidden="true"></i> <?php echo "Elimina"; ?>
                </button>
                <button class="btn btn-primary submitChiamataForm col-xs-3"><i
                            class="fa fa-floppy-o"></i> <?php echo "Salva"; ?></button>
            <?php } ?>
        </div>
    </div>
    <div class="panel panel-default main-panel">
        <div class="panel-heading" style="display:flex;align-items:center;">
            <h3 class="panel-title">Nuova Chiamata</h3>
        </div>

        <div class="panel-body">
            <div class="row">
                <form method="post"
                      action="<?php echo JRoute::_('index.php?option=com_osma&view=chiamata&task=chiamata.salva'); ?>"
                      id="chiamataForm" name="chiamataForm">
                    <fieldset class='t3a-form'>
                        <div class='field col-sm-3 col-md-2 col-xs-6'>
                            <label>Stato</label>
                            <select name="stato" id="stato" <?php echo($canEdit ? "" : "disabled='disabled'") ?> >
                                <option value="7" <?php echo($this->chiamata->stato == 7 ? "selected='selected'" : "") ?>>
                                    Da assegnare
                                </option>
                                <option value="1" <?php echo($this->chiamata->stato == 1 ? "selected='selected'" : "") ?>>
                                    Aperta
                                </option>
                                <option value="2" <?php echo($this->chiamata->stato == 2 ? "selected='selected'" : "") ?>>
                                    In Corso
                                </option>
                                <option value="3" <?php echo($this->chiamata->stato == 3 ? "selected='selected'" : "") ?>>
                                    Sospesa
                                </option>
                                <option value="5" <?php echo($this->chiamata->stato == 5 ? "selected='selected'" : "") ?>>
                                    In attesa di autorizzazione intervento
                                </option>
                                <option value="6" <?php echo($this->chiamata->stato == 6 ? "selected='selected'" : "") ?>>
                                    In attesa di autorizzazione fatturazione
                                </option>
                                <option value="4" <?php echo($this->chiamata->stato == 4 ? "selected='selected'" : "") ?>>
                                    Chiusa
                                </option>
                            </select>
                        </div>
                        <div class='field col-sm-3 col-md-2 col-xs-6'>
                            <label>Tipo intervento</label>
                            <select name="tipo" id="tipo" <?php echo($canEdit ? "" : "disabled='disabled'") ?> >
                                <option value="1" <?php echo($this->chiamata->tipo == 1 ? "selected='selected'" : "") ?>>
                                    Forfait
                                </option>
                                <option value="2" <?php echo($this->chiamata->tipo == 2 ? "selected='selected'" : "") ?>>
                                    Extra Forfait
                                </option>
                                <option value="3" <?php echo($this->chiamata->tipo == 3 || JRequest::getVar("programmata") ? "selected='selected'" : "") ?>>
                                    Programmate
                                </option>
                                <option value="4" <?php echo($this->chiamata->tipo == 4 ? "selected='selected'" : "") ?>>
                                    Giroluci
                                </option>
                                <option value="5" <?php echo($this->chiamata->tipo == 5 ? "selected='selected'" : "") ?>>
                                    Presa Visione
                                </option>
                            </select>
                        </div>
                        <div class='field col-sm-3 col-md-2 col-xs-6'>
                            <label>Canale</label>
                            <select name="canale"
                                    id="canale" <?php echo(osmaHelper::isAccessLevel(COM_OSMA_AL_UTENZE) ? "readonly='readonly'" : "") ?>>
                                <option value="1" <?php echo($this->chiamata->canale == 1 ? "selected='selected'" : "") ?>>
                                    Mail
                                </option>
                                <option value="2" <?php echo($this->chiamata->canale == 2 ? "selected='selected'" : "") ?>>
                                    Telefono
                                </option>
                                <option value="3" <?php echo($this->chiamata->canale == 3 || osmaHelper::isAccessLevel(COM_OSMA_AL_UTENZE) ? "selected='selected'" : "") ?>>
                                    Portale Compagnia
                                </option>
                                <option value="4" <?php echo($this->chiamata->canale == 4 ? "selected='selected'" : "") ?>>
                                    Commessa
                                </option>
                            </select>
                        </div>
                        <div class='field col-sm-3 col-md-2 col-xs-6'>
                            <label>Apertura</label>
                            <div class='input-group date1' id="date1">
                                <input type='text' class="form-control" id='dataApertura'
                                       name="dataApertura" <?php echo($canEdit ? "" : "disabled='disabled'") ?>
                                       value="<?php echo(strtotime($this->chiamata->dataApertura) ? date("d/m/Y H:i", strtotime($this->chiamata->dataApertura)) : date("d/m/Y H:i")) ?>"/>
                                <span class="input-group-addon">
                                <span class="glyphicon glyphicon-calendar"></span>
                            </span>
                            </div>
                        </div>
                        <div class='field col-sm-3 col-md-2 col-xs-6'>
                            <?php if (!osmaHelper::isAccessLevel(COM_OSMA_AL_UTENZE)) { ?>
                                <label>Scadenza</label>
                                <div class='input-group date2' id="date2">
                                    <input type='text' class="form-control"
                                           id='dataScadenza' <?php echo($canEdit ? "" : "disabled='disabled'") ?>
                                           name="dataScadenza"
                                           value="<?php echo(strtotime($this->chiamata->dataScadenza) > 0 ? date("d/m/Y H:i", strtotime($this->chiamata->dataScadenza)) : date("d/m/Y H:i", strtotime("+ 24 hours"))) ?>"/>
                                    <span class="input-group-addon">
                                    <span class="glyphicon glyphicon-calendar"></span>
                                </span>
                                </div>
                            <?php } ?>
                        </div>
                        <div class='field col-sm-3 col-md-2 col-xs-6'>
                            <label>Ticket nr.</label>
                            <input type="text" name="nrChiamata" id="nrChiamata" class="form-control"
                                   readonly="readonly" value="<?php echo $this->chiamata->nrChiamata; ?>">
                        </div>
                        <div class='field col-sm-6 col-md-5 col-xs-12'>
                            <label>Punto Vendita</label>
                            <select id="gestore" name="gestore" class="chosen-select gestore-select" tabindex="11"
                                    style="width:100%;" <?php echo($canEdit ? "" : "disabled='disabled'") ?> >
                                <option value=""></option>
                                <?php foreach ($this->gestori as $gestore) { ?>
                                    <?php $indirizzo = $gestore->indirizzo . " " . $gestore->comune . " " . $gestore->provincia; ?>
                                    <option <?php echo($gestore->idGestore == $this->chiamata->idGestore ? 'selected="selected"' : "") ?>
                                            value="<?php echo $gestore->idGestore; ?>"><?php echo $gestore->nrPuntoVendita; ?>
                                        | <?php echo $indirizzo; ?> | <?php echo $gestore->compagnia; ?></option>
                                <?php } ?>
                            </select>
                        </div>
                        <div class='field col-sm-6 col-md-3 col-xs-8'>
                            <label>Cliente</label>
                            <input type="text" name="cliente" id="cliente" style="width:100%;" readonly="readonly"
                                   value="<?php echo $this->chiamata->cliente; ?>">
                        </div>
                        <div class='field col-sm-3 col-md-1 col-xs-4'>
                            <label>Logo</label>
                            <select name="logo"
                                    id="logo" <?php echo($canEdit ? "" : "disabled='disabled'") ?> <?php echo(!osmaHelper::isAccessLevel(COM_OSMA_AL_UTENZE) ? "" : "readonly='readonly'") ?>>
                                <option value="1" <?php echo($this->chiamata->idLogo == 1 || osmaHelper::isAccessLevel(COM_OSMA_AL_UTENZE) || !$this->chiamata->idLogo ? "selected='selected'" : "") ?>>
                                    OSMA
                                </option>
                                <?php if (!osmaHelper::isAccessLevel(COM_OSMA_AL_UTENZE)) { ?>
                                    <option value="2" <?php echo($this->chiamata->idLogo == 2 ? "selected='selected'" : "") ?>>
                                        E2OIL
                                    </option>
                                <?php } ?>
                            </select>
                        </div>
                        <?php if (!osmaHelper::isAccessLevel(COM_OSMA_AL_UTENZE)) { ?>
                            <div class='field col-sm-3 col-md-2 col-xs-12'>
                                <label>Nr. Chiamata Compagnia</label>
                                <input type="text" name="nrChiamataCompagnia" id="nrChiamataCompagnia"
                                       value="<?php echo $this->chiamata->nrChiamataCompagnia; ?>">
                            </div>
                        <?php } ?>
                        <?php if (osmaHelper::isAccessLevel(COM_OSMA_AL_ADMIN) && $this->chiamata->tipo == 2) { ?>
                            <div class='field col-sm-3 col-md-1 col-xs-12'>
                                <label>Preventivata</label>
                                <select name="consuntivata" id="consuntivata">
                                    <option value="0" <?php echo(!$this->chiamata->consuntivata ? "selected='selected'" : null) ?>>
                                        No
                                    </option>
                                    <option value="1" <?php echo($this->chiamata->consuntivata ? "selected='selected'" : null) ?>>
                                        Si
                                    </option>
                                </select>
                            </div>
                        <?php } ?>

                        <div class='field col-sm-12 col-xs-12'>
                            <label>Descrizione Generale</label>
                            <textarea <?php echo($canEdit ? "" : "disabled='disabled'") ?>  class="form-control"
                                                                                            name="descrizioneGenerale"
                                                                                            id="descrizioneGenerale"
                                                                                            rows="6"><?php echo $this->chiamata->descrizioneGenerale; ?></textarea>
                        </div>

                    </fieldset>
                    <?php echo JHtml::_('form.token'); ?>
                    <input type="hidden" value="<?php echo count($this->chiamata->interventi); ?>" name="nInterventi"
                           id="nInterventi"/>
                    <input type="hidden" value="<?php echo $this->chiamata->idChiamata; ?>" name="idChiamata"
                           id="idChiamata"/>
                    <input type="hidden" value="<?php echo $this->chiamata->idCompagnia; ?>" name="idCompagnia"
                           id="idCompagnia"/>
                    <input type="hidden" value="<?php echo $this->chiamata->idCliente; ?>" name="idCliente"
                           id="idCliente"/>
                    <input type="hidden"
                           value="<?php echo(JRequest::getVar("idScadenza") ? JRequest::getVar("idScadenza") : $this->chiamata->idScadenza); ?>"
                           name="idScadenza" id="idScadenza"/>
                </form>
            </div>

            <?php if ($this->allegati) { ?>
                <div class="row" style="margin-top: 15px;">
                    <label class="col-sm-12" style="margin-bottom: 15px">Allegati</label>
                    <div class="col-sm-6">
                        <div id="allegati-chiamata" class="dropzone not-drop"></div>
                    </div>
                    <div class="field col-sm-6 col-xs-6">
                        <div class="" style="margin-bottom: 15px;">Elenco allegati:</div>
                        <?php foreach ($this->allegati as $file) { ?>
                            <div class="">
                                <a href="<?php echo $file['path'] ?>" target="_blank"><?php echo $file['name'] ?></a>
                            </div>
                        <?php } ?>
                    </div>
                </div>
            <?php } ?>
            <?php if ($this->comunicazioni) { ?>
                <div class="row" style="margin-top: 15px;">
                    <h4 class="col-sm-12" style="margin-bottom: 15px">Comunicazioni</h4>
                    <?php foreach ($this->comunicazioni as $comunicazione) { ?>
                        <div class="col-sm-6" style="">
                            <div style="padding: 15px; background: #E6E9ED;">
                                <?php $user = &JFactory::getUser($comunicazione->idUser); ?>
                                <p>Comunicazione inviata
                                    il <?php echo date("d/m/Y, H:i", strtotime($comunicazione->inserted)) ?>
                                    a <?php echo $comunicazione->destinatario ?>
                                    da <?php echo $user->get('name'); ?></p>
                                <div style="font-style: italic; margin-top: 10px"><?php echo nl2br($comunicazione->comunicazione) ?></div>
                                <?php
                                $attach = unserialize($comunicazione->allegati);
                                if ($attach) {
                                    echo "<ul style='list-style-type: circle; margin-left: 20px; margin-top: 15px;'>";
                                    foreach ($attach as $id => $filename) {
                                        $url = JUri::base() . str_replace(JPATH_ROOT . "/", "", $filename);
                                        echo "<li><a href='{$url}'>" . basename($filename) . "</a></li>";
                                    }
                                    echo "</ul>";
                                }
                                ?>
                            </div>
                        </div>
                    <?php } ?>
                </div>
            <?php } ?>

            <?php if ($this->chiamata->idChiamata) { ?>
            <div class="row" style="margin-top: 30px;">
                <p class="col-md-9">Ricordati di salvare dopo aver inserito gli interventi.</p>
                <?php if (osmaHelper::getAccessLevel() == COM_OSMA_AL_ADMIN) { ?>
                    <div class="text-right col-md-3">
                        <button class="btn btn-success btn-sm aggiungi"><span
                                    class="glyphicon fa fa-plus-circle"></span> <?php echo "Aggiungi intervento"; ?>
                        </button>
                    </div>
                <?php } ?>
            </div>
            <div class="clearfix interventi-group" style="margin-top: 30px;">

                <?php foreach ($this->chiamata->interventi as $i => $intervento) { ?>
                    <?php $thisCANEDIT = (!$intervento->statoIntervento && ($userid == $intervento->idInviaMailA || osmaHelper::isAccessLevel(COM_OSMA_AL_ADMIN))); ?>
                    <?php $thisCANEDIT = !osmaHelper::isAccessLevel(COM_OSMA_AL_UTENZE); ?>
                    <form name='intervento'>
                        <input type="hidden" value="<?php echo $this->chiamata->idChiamata; ?>"
                               name="intervento[idChiamata]" id="idChiamata"/>
                        <input type="hidden" value="<?php echo $intervento->idIntervento; ?>"
                               name="intervento[idIntervento]" id="idIntervento"/>
                        <input type="hidden" value="0" name="intervento[isTemp]" id="idIntervento"/>
                        <?php echo JHtml::_('form.token'); ?>
                        <div class="panel panel-warning">
                            <div class="panel-heading">
                                <div class="row">
                                    <h3 class="panel-title col-md-6 col-xs-12">Intervento #<?php echo $i + 1 ?>
                                        (ID: <?php echo $intervento->idIntervento; ?>)</h3>
                                    <div class="col-md-6 text-right col-xs-12">
                                        <div class="btn-group col-xs-12">
                                            <?php if ($thisCANEDIT) { ?>
                                                <?php if ($intervento->statoIntervento == 0) { ?>
                                                    <button class="btn btn-success btn-sm close-intervento col-xs-4 pull-right"
                                                            data-toggle="modal" data-target="#close-intervento"><span
                                                                class="glyphicon glyphicon-remove"></span> Chiudi
                                                        intervento
                                                    </button>
                                                <?php } ?>
                                                <button class="btn btn-warning btn-sm save-intervento-no-email col-xs-4 pull-right"
                                                        data-loading-text="<i class='fa fa-circle-o-notch fa-spin'></i> Salvando...">
                                                    <span class="glyphicon glyphicon-floppy-open"></span> Salva
                                                </button>
                                                <button class="btn btn-info btn-sm save-intervento col-xs-4 pull-right"
                                                        data-loading-text="<i class='fa fa-circle-o-notch fa-spin'></i> Salvando...">
                                                    <span class="glyphicon glyphicon-floppy-open"></span> Salva ed invia
                                                    email
                                                </button>
                                                <button class="btn btn-danger btn-sm remove-btn col-xs-4 pull-right">
                                                    <span class="glyphicon glyphicon-remove"></span> Rimuovi intervento
                                                </button>
                                            <?php } ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="panel-body">
                                <div class="row">
                                    <div class="col-md-6 col-xs-12">
                                        <div style="margin-bottom: 10px" class='row'>
                                            <label class="col-md-4">Tipo Intervento:</label>
                                            <div class="col-md-8">
                                                <select name="intervento[tipologia]"
                                                        id="tipologie<?php echo $i; ?>" <?php echo($thisCANEDIT ? "" : "disabled='disabled'") ?>
                                                        class="chosen-select">
                                                    <option value="1" <?php echo($intervento->idTipoIntervento == 1 ? "selected='selected'" : "") ?>>
                                                        Meccanico
                                                    </option>
                                                    <option value="2" <?php echo($intervento->idTipoIntervento == 2 ? "selected='selected'" : "") ?>>
                                                        Edile
                                                    </option>
                                                    <option value="3" <?php echo($intervento->idTipoIntervento == 3 ? "selected='selected'" : "") ?>>
                                                        Elettrico
                                                    </option>
                                                    <option value="4" <?php echo($intervento->idTipoIntervento == 4 ? "selected='selected'" : "") ?>>
                                                        Elettronico
                                                    </option>
                                                    <option value="5" <?php echo($intervento->idTipoIntervento == 5 ? "selected='selected'" : "") ?>>
                                                        Video Sorveglianza
                                                    </option>
                                                    <option value="6" <?php echo($intervento->idTipoIntervento == 6 ? "selected='selected'" : "") ?>>
                                                        Antintrusione
                                                    </option>
                                                </select>
                                            </div>
                                        </div>

                                        <div style="margin-bottom: 10px" class='row'>
                                            <label class="col-md-4">Data pianificata:</label>
                                            <div class="col-md-8">
                                                <div class="input-group dataPianificata" id="dataGroupPianificata<?php echo $i ?>">
                                                    <input type="text" class="form-control " id="dataPianificata<?php echo $i ?>"
                                                           name="intervento[dataPianificata]" value="<?php echo date ( 'd/m/Y h:i:s' , strtotime($intervento->dataPianificata));?>" style="width:170px !important;">
                                                    <span class="input-group-addon">
                                                    <span class="glyphicon glyphicon-calendar"></span>
                                                </div>
                                            </div>
                                        </div>
                                        <script>
                                            jQuery(function ($) {
                                                $(".dataPianificata").datetimepicker({format: 'DD/MM/YYYY HH:mm', });
                                            });
                                        </script>


                                        <div style="margin-bottom: 10px" class='row'>
                                            <label class="col-md-4">Invio mail a:</label>
                                            <div class="col-md-8">
                                                <select id="invia<?php echo $i; ?>"
                                                        name="intervento[invia]" <?php echo($thisCANEDIT ? "" : "disabled='disabled'") ?>
                                                        class="chosen-select inviaselect invia-select<?php echo $i ?> "
                                                        tabindex="11" style="width:100%;" data-i="<?php echo $i; ?>">
                                                    <?php foreach ($this->manutentori as $manutentore) { ?>
                                                        <option value="<?php echo $manutentore->id ?>"><?php echo $manutentore->name; ?></option>
                                                    <?php } ?>
                                                </select>
                                                <script>
                                                    jQuery('.invia-select<?php echo $i; ?>').val(<?php echo $intervento->idInviaMailA; ?>).trigger("chosen:updated");
                                                </script>
                                            </div>
                                        </div>
                                        <div style="margin-bottom: 10px" class='row'>
                                            <label class="col-md-4">Team di lavoro:</label>
                                            <div class="col-md-8">
                                                <select id="team<?php echo $i; ?>"
                                                        name="intervento[team][]" <?php echo($thisCANEDIT ? "" : "disabled='disabled'") ?>
                                                        multiple
                                                        class="chosen-select teamselect team-select<?php echo $i ?>"
                                                        tabindex="11" style="width:100%;">
                                                    <?php foreach ($this->manutentori as $manutentore) { ?>
                                                        <option value="<?php echo $manutentore->id ?>"><?php echo $manutentore->name; ?></option>
                                                    <?php } ?>
                                                </select>
                                                <script>
                                                    jQuery('.team-select<?php echo $i; ?>').val(<?php echo json_encode($intervento->team); ?>).trigger("chosen:updated");
                                                </script>
                                            </div>
                                        </div>
                                        <div style="margin-bottom: 10px" class='row'>
                                            <label class="col-md-4">Mezzo:</label>
                                            <div class="col-md-8">
                                                <select id="mezzi<?php echo $i; ?>"
                                                        name="intervento[mezzo]" <?php echo($thisCANEDIT ? "" : "disabled='disabled'") ?>
                                                        class="chosen-select mezzoselect mezzo-select<?php echo $i ?>"
                                                        tabindex="11" style="width:100%;">
                                                    <?php foreach ($this->mezzi as $mezzo) { ?>
                                                        <option value="<?php echo $mezzo->idMezzo ?>"><?php echo $mezzo->marca . " | " . $mezzo->modello . " | " . $mezzo->targa; ?></option>
                                                    <?php } ?>
                                                </select>
                                                <script>
                                                    jQuery('.mezzo-select<?php echo $i; ?>').val(<?php echo $intervento->idMezzo; ?>).trigger("chosen:updated");
                                                </script>
                                            </div>
                                        </div>
                                        <div style="margin-bottom: 10px" class='row'>
                                            <label class="col-md-4">Secondo Mezzo:</label>
                                            <div class="col-md-8">
                                                <select id="mezzi2<?php echo $i; ?>"
                                                        name="intervento[mezzo2]" <?php echo($thisCANEDIT ? "" : "disabled='disabled'") ?>
                                                        class="chosen-select mezzo2select mezzo2-select<?php echo $i ?>"
                                                        tabindex="11" style="width:100%;">
                                                    <option value="0">Seleziona il secondo mezzo</option>
                                                    <?php foreach ($this->mezzi as $mezzo) { ?>
                                                        <option value="<?php echo $mezzo->idMezzo ?>"><?php echo $mezzo->marca . " | " . $mezzo->modello . " | " . $mezzo->targa; ?></option>
                                                    <?php } ?>
                                                </select>
                                                <script>
                                                    jQuery('.mezzo2-select<?php echo $i; ?>').val(<?php echo $intervento->idMezzo2; ?>).trigger("chosen:updated");
                                                </script>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="btn-group col-xs-12 col-sm-12" style="margin-top: 20px;">
                                                <?php if ($thisCANEDIT && !$intervento->allegati) { ?>
                                                    <?php if ($intervento->duvri->id || $intervento->duvri->idRapporto) { ?>
                                                        <a href="<?php echo JRoute::_('index.php?option=com_osma&view=chiusura&idChiamata=' . $this->chiamata->idChiamata . '&idIntervento=' . $intervento->idIntervento); ?>"
                                                           class="btn btn-sm btn-primary col-sm-4 col-xs-12">Modifica
                                                            DUVRI e rapporto</a>
                                                    <?php } else { ?>
                                                        <a href="<?php echo JRoute::_('index.php?option=com_osma&view=chiusura&idChiamata=' . $this->chiamata->idChiamata . '&idIntervento=' . $intervento->idIntervento); ?>"
                                                           class="btn btn-sm btn-primary col-sm-4 col-xs-12">Aggiungi
                                                            DUVRI e rapporto</a>
                                                    <?php } ?>
                                                    <?php if ($intervento->duvri->id) { ?>
                                                        <a target='_blank'
                                                           href="<?php echo JRoute::_("index.php?option=com_osma&task=chiusura.visualizzaPDFduvri&format=raw&id={$intervento->duvri->id}") ?>"
                                                           class="btn btn-sm btn-primary col-sm-4 col-xs-6">Visualizza
                                                            D.U.V.R.I.</a>
                                                    <?php } ?>
                                                    <?php if ($intervento->duvri->idRapporto) { ?>
                                                        <a target='_blank'
                                                           href="<?php echo JRoute::_("index.php?option=com_osma&task=chiusura.visualizzaPDFrapporto&format=raw&idRapporto={$intervento->duvri->idRapporto}&idChiamata={$this->chiamata->idChiamata}") ?>"
                                                           class="btn btn-sm btn-primary col-sm-4 col-xs-6">Visualizza
                                                            rapporto</a>
                                                    <?php } ?>
                                                <?php } elseif ($intervento->statoIntervento) { ?>
                                                    <?php if ($intervento->duvri->id) { ?>
                                                        <a target='_blank'
                                                           href="<?php echo JRoute::_("index.php?option=com_osma&task=chiusura.visualizzaPDFduvri&format=raw&id={$intervento->duvri->id}") ?>"
                                                           class="btn btn-sm btn-primary col-sm-3 col-xs-6">Visualizza
                                                            D.U.V.R.I.</a>
                                                    <?php } ?>
                                                    <?php if ($intervento->duvri->idRapporto) { ?>
                                                        <a target='_blank'
                                                           href="<?php echo JRoute::_("index.php?option=com_osma&task=chiusura.visualizzaPDFrapporto&format=raw&idRapporto={$intervento->duvri->idRapporto}&idChiamata={$this->chiamata->idChiamata}") ?>"
                                                           class="btn btn-sm btn-primary col-sm-3 col-xs-6">Visualizza
                                                            rapporto</a>
                                                    <?php } ?>
                                                <?php } ?>
                                                <?php if ($arrayLib = osmaHelper::getLibrettiMetrologici($intervento->idIntervento)) { ?>
                                                    <a href="javascript:void(0);"
                                                       data-href='<?php echo json_encode($arrayLib) ?>'
                                                       class="btn btn-sm btn-info show-libretti col-sm-4 col-xs-6">Visualizza
                                                        libretti metrologici</a>
                                                <?php } ?>
                                                <?php if (osmaHelper::hasDichiarazioneRapporto($intervento->idIntervento)) { ?>
                                                    <a class='btn btn-info btn-sm col-sm-4 col-xs-6'
                                                       href="<?php echo JRoute::_("index.php?option=com_osma&task=chiusura.dichiarazioneRiparazione&format=raw&idRapporto={$intervento->rapporto->idRapporto}&idChiamata={$this->chiamata->idChiamata}") ?>"
                                                       target="_blank">
                                                        <i class="fa fa-wrench"></i> Dichiarazione di riparazione
                                                    </a>
                                                <?php } ?>
                                                <?php if (osmaHelper::getChecklist($intervento->idIntervento)) { ?>
                                                    <a class='btn btn-info btn-sm col-sm-4 col-xs-6'
                                                       href="<?php echo JRoute::_("index.php?option=com_osma&task=chiusura.visualizzaChecklist&format=raw&idChecklist=" . osmaHelper::getChecklist($intervento->idIntervento)) ?>"
                                                       target="_blank">
                                                        <i class="fa fa-list"></i> Checklist
                                                    </a>
                                                <?php } ?>

                                            </div>
                                            <?php if ($intervento->allegati) { ?>
                                                <div class="btn-group col-xs-12 col-sm-12" style="margin-top: 20px;">
                                                    <?php if ($intervento->allegati[1]) { ?>
                                                        <?php
                                                        $thisHTML = "<ul>";
                                                        foreach ($intervento->allegati[1] as $file) {
                                                            $thisHTML .= "<li><a target='_blank' href='" . JUri::base() . "components/com_osma/files/chiamate/{$intervento->idChiamata}/{$file->fileName}'>{$file->fileName}</a></li>";
                                                        }
                                                        $thisHTML .= "</ul>";
                                                        ?>
                                                        <a class="btn btn-primary allegati-intervento-btn col-xs-6"
                                                           data-html="<?php echo $thisHTML ?>" data-toggle="modal"
                                                           data-target="#allegati-intervento"
                                                           data-title="Allegati al DUVRI dell'intervento">Visualizza
                                                            DUVRI allegato</a>
                                                    <?php } ?>
                                                    <?php if ($intervento->allegati[2]) { ?>
                                                        <?php
                                                        $thisHTML = "<ul>";
                                                        foreach ($intervento->allegati[2] as $file) {
                                                            $thisHTML .= "<li><a target='_blank' href='" . JUri::base() . "components/com_osma/files/chiamate/{$intervento->idChiamata}/{$file->fileName}'>{$file->fileName}</a></li>";
                                                        }
                                                        $thisHTML .= "</ul>";
                                                        ?>
                                                        <a class="btn btn-primary allegati-intervento-btn col-xs-6"
                                                           data-html="<?php echo $thisHTML ?>" data-toggle="modal"
                                                           data-target="#allegati-intervento"
                                                           data-title="Allegati al rapporto dell'intervento">Visualizza
                                                            rapporto allegato</a>
                                                    <?php } ?>
                                                </div>
                                            <?php } ?>
                                            <?php if ($intervento->statoIntervento) { ?>
                                                <div style="margin-top: 20px" class='col-xs-12 col-sm-12'>
                                                    <div class="row">
                                                        <label class="col-md-4 col-xs-12">Intervento <?php echo($intervento->statoIntervento == 1 ? "chiuso" : "sospeso") ?>
                                                            in data:</label>
                                                        <div class="col-md-8 col-xs-12">
                                                            <?php echo date("d.m.Y H:i", strtotime($intervento->cambioStato)) ?>
                                                        </div>
                                                    </div>
                                                </div>
                                            <?php } ?>
                                        </div>
                                    </div>
                                    <div class="col-md-6 col-xs-12">
                                        <div class="row">
                                            <label class="col-md-6">Note:</label>
                                            <div class="col-md-12" style="margin-bottom: 15px">
                                                <textarea class="form-control" name="intervento[note]"
                                                          id="note<?php echo $i; ?>"
                                                          rows="5" <?php echo($thisCANEDIT ? "" : "disabled='disabled'") ?>><?php echo $intervento->note; ?></textarea>
                                            </div>
                                            <label class="col-md-6">Documenti:</label>
                                            <div class="col-md-12 text-center">
                                                <div id="intervento[docs]" <?php echo($thisCANEDIT ? 'class="dropzone"' : "") ?>
                                                     data-i="<?php echo $i; ?>"></div>
                                                <?php
                                                if ($intervento->files) {
                                                    echo(!$thisCANEDIT ? '<ul class="text-left">' : "");
                                                    foreach ($intervento->files as $file) {
                                                        $filename = JPATH_COMPONENT . '/files/chiamate/' . $file->idChiamata . "/" . $file->fileName;
                                                        if (!$thisCANEDIT) {
                                                            echo "<li><a href='" . JURI::base() . "components/com_osma/files/chiamate/{$file->idChiamata}/{$file->fileName}'>{$file->fileName}</a></li>";
                                                        }
                                                        ?>
                                                        <input type='hidden'
                                                               data-name='<?php echo $file->fileName ?>'
                                                               data-id='<?php echo $file->id ?>'
                                                            <?php echo(getimagesize($filename) ? "data-thumb='" . JURI::base() . "components/com_osma/files/chiamate/" . $file->idChiamata . "/" . $file->fileName . "'" : "") ?>
                                                               data-url='<?php echo JURI::base() . "components/com_osma/files/chiamate/" . $file->idChiamata . "/" . $file->fileName ?>'
                                                               data-size='<?php echo filesize($filename) ?>'
                                                               class='dropzone-file'
                                                               name='files[<?php echo $file->id ?>]'
                                                               value='<?php echo $file->idChiamata . "/" . $file->fileName ?>'>
                                                        <?php
                                                    }

                                                    echo(!$thisCANEDIT ? '</ul>' : "");
                                                }
                                                ?>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </form>
                <?php } ?>
                <?php } ?>
            </div>
        </div>
    </div>

    <div class="modal fade in" id="add-attachment" style="display: none; padding-left: 0px;">
        <div class="modal-dialog modal-lg">
            <div class="modal-content">
                <form name='add-attachment'>
                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                        <h3 class="modal-title">
                            Aggiungi allegati alla chiamata
                        </h3>
                    </div>
                    <div class="modal-body">
                        <div class="clearfix">
                            <div id="dropz-attachment" class="dropzone" data-tipo="4" style="margin-top: 15px;"></div>
                        </div>
                        <input type="hidden" id="idChiamata" name="idChiamata"/>
                    </div>
                    <div class="modal-footer">
                        <div class="row">
                            <div class="col-sm-12 text-right">
                                <a class="btn btn-success add-attachment-button disabled" href="javascript:void(0);"><i
                                            class="fa fa-check-circle"></i> Conferma</a>
                                <a type="button" class="btn btn-default" data-dismiss="modal"
                                   href="javascript:void(0);"><i class="fa fa-times"></i> Annulla</a>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>

    <div class="modal fade in" id="close-intervento" style="display: none; padding-left: 0px;">
        <div class="modal-dialog modal-lg">
            <div class="modal-content">
                <form name='chiudiIntervento'>
                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                        <h3 class="modal-title">
                            Vuoi chiudere questo intervento?
                        </h3>
                    </div>
                    <div class="modal-body">
                        <h5>Aggiungi DUVRI e rapporto di manutenzione</h5>
                        <div class="row">
                            <div class="col-sm-6">
                                <div id="dropz-duvri" class="dropzone not-drop" data-tipo="1"></div>
                            </div>
                            <div class="col-sm-6">
                                <div id="dropz-rapporto" class="dropzone not-drop" data-tipo="2"></div>
                            </div>
                        </div>

                        <hr class="divider">
                        <div style="margin-bottom: 0">
                            <b>Attenzione:</b> sono stati rimossi dei piombi?
                            <label for="rimozionePiombi1">
                                <input type="radio" name="rimozionePiombi" id="rimozionePiombi1" value="1"> Si
                            </label>
                            <label for="rimozionePiombi0">
                                <input type="radio" name="rimozionePiombi" id="rimozionePiombi0" value="0"
                                       checked="checked"> No
                            </label>
                            <div class="hidden checkRimozionePiombi">
                                <p class="text-muted" style="margin-bottom: 0; margin-top: 15px;"><b>Nota:</b> cliccando
                                    su Conferma, dichiari che, nel caso di rimozione piombi, è stato compilato il modulo
                                    di rilegalizzazione.</p>
                            </div>
                        </div>
                        <input type="hidden" id="idIntervento" name="idIntervento"/>
                        <input type="hidden" id="statoIntervento" name="statoIntervento" value="1"/>
                    </div>
                    <div class="modal-footer">
                        <div class="row">
                            <div class="col-sm-12 text-right">
                                <a class="btn btn-success chiudi-intervento-button disabled"><i
                                            class="fa fa-check-circle"></i> Conferma</a>
                                <a class="btn btn-default" data-dismiss="modal"><i class="fa fa-times"></i> Annulla</a>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>

    <div class="modal fade in" id="allegati-intervento" style="display: none; padding-left: 0px">
        <div class="modal-dialog modal-lg">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                    <h3 class="modal-title"></h3>
                </div>
                <div class="modal-body">

                </div>
                <div class="modal-footer">
                    <div class="row">
                        <div class="col-sm-12 text-right">
                            <button type="button" class="btn btn-default" data-dismiss="modal"><i
                                        class="fa fa-times"></i> Chiudi
                            </button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="modal fade in" id="show-libretti" style="display: none; padding-left: 0px">
        <div class="modal-dialog modal-lg">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                    <h3 class="modal-title"</h3>
                </div>
                <div class="modal-body">

                </div>
                <div class="modal-footer">
                    <div class="row">
                        <div class="col-sm-12 text-right">
                            <button type="button" class="btn btn-default" data-dismiss="modal"><i
                                        class="fa fa-times"></i> Chiudi
                            </button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <style>
        .dropzone .dz-preview .dz-image img {
            width: 100%;
            height: 100%;
        }
    </style>
<?php if (JRequest::getVar("programmata")) { ?>
    <script>
        jQuery(function ($) {
            $(".gestore-select").val(<?php echo JRequest::getVar("idGestore") ?>).trigger("change").trigger("chosen:updated");
        });
    </script>
<?php } ?>
